import { ExtractPropTypes, PropType } from 'vue';
import { Option } from '../_util/normalizeOptions';
export declare const optionListProps: {
    prefixCls: StringConstructor;
    options: PropType<Option[]>;
    values: SetConstructor;
    height: {
        type: NumberConstructor;
        default: number;
    };
    virtualScroll: BooleanConstructor;
};
export type OptionListProps = ExtractPropTypes<typeof optionListProps>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    options: PropType<Option[]>;
    values: SetConstructor;
    height: {
        type: NumberConstructor;
        default: number;
    };
    virtualScroll: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "click")[], "select" | "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: StringConstructor;
    options: PropType<Option[]>;
    values: SetConstructor;
    height: {
        type: NumberConstructor;
        default: number;
    };
    virtualScroll: BooleanConstructor;
}>> & {
    onClick?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
}, {
    height: number;
    virtualScroll: boolean;
}>;
export default _default;
